=== debian/changelog ===
ros-foxy-console-bridge-vendor (1.2.4-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steven! Ragnarök <steven@osrfoundation.org>  Wed, 14 Apr 2021 22:06:22 -0000
