=== debian/control ===
Source: ros-foxy-console-bridge-vendor
Section: misc
Priority: optional
Maintainer: Steven! Ragnarök <steven@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libconsole-bridge-dev, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-performance-test-fixture, ros-foxy-ros-workspace
Homepage: https://github.com/ros/console_bridge
Standards-Version: 3.9.2

Package: ros-foxy-console-bridge-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, ros-foxy-ros-workspace
Description: Wrapper around console_bridge, providing nothing but a dependency on console_bridge, on some systems.
 On others, it provides an ExternalProject build of console_bridge.
